<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/ValidationDelegateClientSelector.java<a name="orgeclipsepapyrusdesignercomponentsvalidationValidationDelegateClientSelector.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/ValidationDelegateClientSelector.html#L26">26</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/ValidationDelegateClientSelector.html#L28">28</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/ValidationDelegateClientSelector.html#L29">29</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/AggregationKindValid.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsAggregationKindValid.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/AggregationKindValid.html#L48">48</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/AggregationKindValid.html#L54">54</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/ConfigurationAttributeNotSet.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsConfigurationAttributeNotSet.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConfigurationAttributeNotSet.html#L31">31</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConfigurationAttributeNotSet.html#L31">31</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConfigurationAttributeNotSet.html#L32">32</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConfigurationAttributeNotSet.html#L34">34</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/ConnectorCallMultiplicity.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsConnectorCallMultiplicity.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConnectorCallMultiplicity.html#L51">51</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ConnectorCallMultiplicity.html#L70">70</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/ExecutorIsNotUsedAsPartName.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsExecutorIsNotUsedAsPartName.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.papyrus.designer.components.transformation.container.ContainerTrafo'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ExecutorIsNotUsedAsPartName.html#L21">21</a></td></tr><tr class="b"><td>Avoid unused local variables such as 'attribute'.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ExecutorIsNotUsedAsPartName.html#L40">40</a></td></tr><tr class="a"><td>Avoid using a branching statement as the last in a loop.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/ExecutorIsNotUsedAsPartName.html#L42">42</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/OperationsAreImplemented.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsOperationsAreImplemented.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/OperationsAreImplemented.html#L41">41</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/PortIsCorrectlyTyped.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsPortIsCorrectlyTyped.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/PortIsCorrectlyTyped.html#L37">37</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/PortIsCorrectlyTyped.html#L37">37</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/PortKindUnset.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsPortKindUnset.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/PortKindUnset.html#L36">36</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/PortKindUnset.html#L38">38</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/TemplateRefWithoutBinding.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsTemplateRefWithoutBinding.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/TemplateRefWithoutBinding.html#L49">49</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/TemplateRefWithoutBinding.html#L54">54</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/validation/constraints/UnconnectedPorts.java<a name="orgeclipsepapyrusdesignercomponentsvalidationconstraintsUnconnectedPorts.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/UnconnectedPorts.html#L63">63</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/UnconnectedPorts.html#L85">85</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/UnconnectedPorts.html#L66">66</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/validation/constraints/UnconnectedPorts.html#L67">67</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
